#pragma once
#include <iostream>
#include <HCNetSDK.h>
#include <iostream>
#include <string>

class HIKBase
{
public:
    HIKBase();
    ~HIKBase();


    int Login(std::string ip, std::string port, std::string username, std::string password);
    void Logout();

protected:
    LONG LoginID;
    NET_DVR_DEVICEINFO_V30 DeviceInfo;

private:
    //Hik login info
    std::string Ip;//Hik Device IP
    std::string Port;//Hik Device Port
    std::string Username;//Hik Device Username
    std::string Password;//Hik Device Password

    //after login, Hik Device ID
    int DeviceID;

};

bool HK_DVR_Init();